;;;-------------------------------------------------------------------------
;;; File BT        BT (Block Test) command                          11/30/81
;;;-------------------------------------------------------------------------
;;; BT   BLOCK OF MEMORY TEST

BTCMD    BSR     MTSETUP        	; PREPARE PARMS (FROM,TO/COUNT)
         BSR     RAMTEST        	; EXEC MEMORY TEST SUBROUTINE
         BEQ     MACSBUG        	; NO ERRORS, RETURN TO MACSBUG
         MOVE.L  D1,-(A7)       	; SAVE DATA READ
         MOVE.L  D0,-(A7)       	; SAVE DATA WRITTEN CAUSING ERROR

         BSR     FIXBUF         	; SET UP TO PRINT
         MOVE.L  #'FAIL',(A6)+
         MOVE.L  #'ED A',(A6)+
         MOVE.W  #'T ',(A6)+
         MOVE.L  A2,D0          	; ADDRESS WHERE IT FAILED
         BSR     PNT6HX

         MOVE.L  #'  WR',(A6)+
         MOVE.L  #'OTE=',(A6)+
         MOVE.L  (A7)+,D0       	; WHAT WAS WRITTEN
         BSR     PNT4HX

         MOVE.L  #'   R',(A6)+
         MOVE.L  #'EAD=',(A6)+
         MOVE.L  (A7)+,D0       	; WHAT WAS READ
         BSR     PNT4HX

         BRA     MSG            	; PRINT IT
