;;;
;;; ARAM
;;;
;;; Ram locations, starting at zero
;;; 
	ORG	$000000

	DS.L	1		; 00  $00  Stack address
	DS.L	1		; 01  $01  PC origin

AV2	DS.L	1		; 02  $02  Bus Error
AV3	DS.L	1		; 03  $03  Address Error
AV4	DS.L	1		; 04  $04  Illegal instruction
AV5	DS.L	1		; 05  $05  Divide by zero
AV6	DS.L	1		; 06  $06  CHK instruction
AV7	DS.L	1		; 07  $07  TRAPV instruction
AV8	DS.L	1		; 08  $08  Priviledge violation
AV9	DS.L	1		; 09  $09  Trace
AV10	DS.L	1		; 10  $0a  Line 1010 emulator
AV11	DS.L	1		; 11  $0b  Line 1111 emulator
AV12	DS.L	1		; 12  $0c  reserved
AV13	DS.L	1		; 13  $0d  reserved
AV14	DS.L	1		; 14  $0e  reserved
AV15	DS.L	1		; 15  $0f  Uninitialized interrupt vector
AV16	DS.L	1		; 16  $10  reserved
AV17	DS.L	1		; 17  $11  reserved
AV18	DS.L	1		; 18  $12  reserved
AV19	DS.L	1		; 19  $13  reserved
AV20	DS.L	1		; 20  $14  reserved
AV21	DS.L	1		; 21  $15  reserved
AV22	DS.L	1		; 22  $16  reserved
AV23	DS.L	1		; 23  $17  reserved
AV24	DS.L	1		; 24  $18  Spurious interrupt
AV25	DS.L	1		; 25  $19  Level 1 interrupt autovector
AV26	DS.L	1		; 26  $1a  Level 2 interrupt autovector
AV27	DS.L	1		; 27  $1b  Level 3 interrupt autovector
AV28	DS.L	1		; 28  $1c  Level 4 interrupt autovector
AV29	DS.L	1		; 29  $1d  Level 5 interrupt autovector
AV30	DS.L	1		; 30  $1e  Level 6 interrupt autovector
AV31	DS.L	1		; 31  $1f  Level 7 interrupt autovector
AV32	DS.L	1		; 32  $20  TRAP #0 vector
AV33	DS.L	1		; 33  $21  TRAP #1 vector
AV34	DS.L	1		; 34  $22  TRAP #2 vector
AV35	DS.L	1		; 35  $23  TRAP #3 vector
AV36	DS.L	1		; 36  $24  TRAP #4 vector
AV37	DS.L	1		; 37  $25  TRAP #5 vector
AV38	DS.L	1		; 38  $26  TRAP #6 vector
AV39	DS.L	1		; 39  $27  TRAP #7 vector
AV40	DS.L	1		; 40  $28  TRAP #8 vector
AV41	DS.L	1		; 41  $29  TRAP #9 vector
AV42	DS.L	1		; 42  $2a  TRAP #10 vector
AV43	DS.L	1		; 43  $2b  TRAP #11 vector
AV44	DS.L	1		; 44  $2c  TRAP #12 vector
AV45	DS.L	1		; 45  $2d  TRAP #13 vector
AV46	DS.L	1		; 46  $2e  TRAP #14 vector
AV47	DS.L	1		; 47  $2f  TRAP #15 vector
AV48	DS.L	1		; 48  $30  reserved
AV49	DS.L	1		; 49  $31  ...
AV50	DS.L	1		; 50  $32
AV51	DS.L	1		; 51  $33
AV52	DS.L	1		; 52  $34
AV53	DS.L	1		; 53  $35
AV54	DS.L	1		; 54  $36
AV55	DS.L	1		; 55  $37
AV56	DS.L	1		; 56  $38
AV57	DS.L	1		; 57  $39
AV58	DS.L	1		; 58  $3a
AV59	DS.L	1		; 59  $3b
AV60	DS.L	1		; 60  $3c
AV61	DS.L	1		; 61  $3d
AV62	DS.L	1		; 62  $3e
AV63	DS.L	1		; 63  $3f
AV64	DS.L	1		; 64  $40  User interrupt
AV65	DS.L	1		; 65  $41  ...
AV66	DS.L	1		; 66  $42
AV67	DS.L	1		; 67  $43
AV68	DS.L	1		; 68  $44
AV69	DS.L	1		; 69  $45
AV70	DS.L	1		; 70  $46
AV71	DS.L	1		; 71  $47
AV72	DS.L	1		; 72  $48
AV73	DS.L	1		; 73  $49
AV74	DS.L	1		; 74  $4a
AV75	DS.L	1		; 75  $4b
AV76	DS.L	1		; 76  $4c
AV77	DS.L	1		; 77  $4d
AV78	DS.L	1		; 78  $4e
AV79	DS.L	1		; 79  $4f
AV80	DS.L	1		; 80  $50
AV81	DS.L	1		; 81  $51
AV82	DS.L	1		; 82  $52
AV83	DS.L	1		; 83  $53
AV84	DS.L	1		; 84  $54
AV85	DS.L	1		; 85  $55
AV86	DS.L	1		; 86  $56
AV87	DS.L	1		; 87  $57
AV88	DS.L	1		; 88  $58
AV89	DS.L	1		; 89  $59
AV90	DS.L	1		; 90  $5a
AV91	DS.L	1		; 91  $5b
AV92	DS.L	1		; 92  $5c
AV93	DS.L	1		; 93  $5d
AV94	DS.L	1		; 94  $5e
AV95	DS.L	1		; 95  $5f
AV96	DS.L	1		; 96  $60
AV97	DS.L	1		; 97  $61
AV98	DS.L	1		; 98  $62
AV99	DS.L	1		; 99  $63
AV100	DS.L	1		; 100  $64
AV101	DS.L	1		; 101  $65
AV102	DS.L	1		; 102  $66
AV103	DS.L	1		; 103  $67
AV104	DS.L	1		; 104  $68
AV105	DS.L	1		; 105  $69
AV106	DS.L	1		; 106  $6a
AV107	DS.L	1		; 107  $6b
AV108	DS.L	1		; 108  $6c
AV109	DS.L	1		; 109  $6d
AV110	DS.L	1		; 110  $6e
AV111	DS.L	1		; 111  $6f
AV112	DS.L	1		; 112  $70
AV113	DS.L	1		; 113  $71
AV114	DS.L	1		; 114  $72
AV115	DS.L	1		; 115  $73
AV116	DS.L	1		; 116  $74
AV117	DS.L	1		; 117  $75
AV118	DS.L	1		; 118  $76
AV119	DS.L	1		; 119  $77
AV120	DS.L	1		; 120  $78
AV121	DS.L	1		; 121  $79
AV122	DS.L	1		; 122  $7a
AV123	DS.L	1		; 123  $7b
AV124	DS.L	1		; 124  $7c
AV125	DS.L	1		; 125  $7d
AV126	DS.L	1		; 126  $7e
AV127	DS.L	1		; 127  $7f
AV128	DS.L	1		; 128  $80
AV129	DS.L	1		; 129  $81
AV130	DS.L	1		; 130  $82
AV131	DS.L	1		; 131  $83
AV132	DS.L	1		; 132  $84
AV133	DS.L	1		; 133  $85
AV134	DS.L	1		; 134  $86
AV135	DS.L	1		; 135  $87
AV136	DS.L	1		; 136  $88
AV137	DS.L	1		; 137  $89
AV138	DS.L	1		; 138  $8a
AV139	DS.L	1		; 139  $8b
AV140	DS.L	1		; 140  $8c
AV141	DS.L	1		; 141  $8d
AV142	DS.L	1		; 142  $8e
AV143	DS.L	1		; 143  $8f
AV144	DS.L	1		; 144  $90
AV145	DS.L	1		; 145  $91
AV146	DS.L	1		; 146  $92
AV147	DS.L	1		; 147  $93
AV148	DS.L	1		; 148  $94
AV149	DS.L	1		; 149  $95
AV150	DS.L	1		; 150  $96
AV151	DS.L	1		; 151  $97
AV152	DS.L	1		; 152  $98
AV153	DS.L	1		; 153  $99
AV154	DS.L	1		; 154  $9a
AV155	DS.L	1		; 155  $9b
AV156	DS.L	1		; 156  $9c
AV157	DS.L	1		; 157  $9d
AV158	DS.L	1		; 158  $9e
AV159	DS.L	1		; 159  $9f
AV160	DS.L	1		; 160  $a0
AV161	DS.L	1		; 161  $a1
AV162	DS.L	1		; 162  $a2
AV163	DS.L	1		; 163  $a3
AV164	DS.L	1		; 164  $a4
AV165	DS.L	1		; 165  $a5
AV166	DS.L	1		; 166  $a6
AV167	DS.L	1		; 167  $a7
AV168	DS.L	1		; 168  $a8
AV169	DS.L	1		; 169  $a9
AV170	DS.L	1		; 170  $aa
AV171	DS.L	1		; 171  $ab
AV172	DS.L	1		; 172  $ac
AV173	DS.L	1		; 173  $ad
AV174	DS.L	1		; 174  $ae
AV175	DS.L	1		; 175  $af
AV176	DS.L	1		; 176  $b0
AV177	DS.L	1		; 177  $b1
AV178	DS.L	1		; 178  $b2
AV179	DS.L	1		; 179  $b3
AV180	DS.L	1		; 180  $b4
AV181	DS.L	1		; 181  $b5
AV182	DS.L	1		; 182  $b6
AV183	DS.L	1		; 183  $b7
AV184	DS.L	1		; 184  $b8
AV185	DS.L	1		; 185  $b9
AV186	DS.L	1		; 186  $ba
AV187	DS.L	1		; 187  $bb
AV188	DS.L	1		; 188  $bc
AV189	DS.L	1		; 189  $bd
AV190	DS.L	1		; 190  $be
AV191	DS.L	1		; 191  $bf
AV192	DS.L	1		; 192  $c0
AV193	DS.L	1		; 193  $c1
AV194	DS.L	1		; 194  $c2
AV195	DS.L	1		; 195  $c3
AV196	DS.L	1		; 196  $c4
AV197	DS.L	1		; 197  $c5
AV198	DS.L	1		; 198  $c6
AV199	DS.L	1		; 199  $c7
AV200	DS.L	1		; 200  $c8
AV201	DS.L	1		; 201  $c9
AV202	DS.L	1		; 202  $ca
AV203	DS.L	1		; 203  $cb
AV204	DS.L	1		; 204  $cc
AV205	DS.L	1		; 205  $cd
AV206	DS.L	1		; 206  $ce
AV207	DS.L	1		; 207  $cf
AV208	DS.L	1		; 208  $d0
AV209	DS.L	1		; 209  $d1
AV210	DS.L	1		; 210  $d2
AV211	DS.L	1		; 211  $d3
AV212	DS.L	1		; 212  $d4
AV213	DS.L	1		; 213  $d5
AV214	DS.L	1		; 214  $d6
AV215	DS.L	1		; 215  $d7
AV216	DS.L	1		; 216  $d8
AV217	DS.L	1		; 217  $d9
AV218	DS.L	1		; 218  $da
AV219	DS.L	1		; 219  $db
AV220	DS.L	1		; 220  $dc
AV221	DS.L	1		; 221  $dd
AV222	DS.L	1		; 222  $de
AV223	DS.L	1		; 223  $df
AV224	DS.L	1		; 224  $e0
AV225	DS.L	1		; 225  $e1
AV226	DS.L	1		; 226  $e2
AV227	DS.L	1		; 227  $e3
AV228	DS.L	1		; 228  $e4
AV229	DS.L	1		; 229  $e5
AV230	DS.L	1		; 230  $e6
AV231	DS.L	1		; 231  $e7
AV232	DS.L	1		; 232  $e8
AV233	DS.L	1		; 233  $e9
AV234	DS.L	1		; 234  $ea
AV235	DS.L	1		; 235  $eb
AV236	DS.L	1		; 236  $ec
AV237	DS.L	1		; 237  $ed
AV238	DS.L	1		; 238  $ee
AV239	DS.L	1		; 239  $ef
AV240	DS.L	1		; 240  $f0
AV241	DS.L	1		; 241  $f1
AV242	DS.L	1		; 242  $f2
AV243	DS.L	1		; 243  $f3
AV244	DS.L	1		; 244  $f4
AV245	DS.L	1		; 245  $f5
AV246	DS.L	1		; 246  $f6
AV247	DS.L	1		; 247  $f7
AV248	DS.L	1		; 248  $f8
AV249	DS.L	1		; 249  $f9
AV250	DS.L	1		; 250  $fa
AV251	DS.L	1		; 251  $fb
AV252	DS.L	1		; 252  $fc
AV253	DS.L	1		; 253  $fd
AV254	DS.L	1		; 254  $fe
AV255	DS.L	1		; 255  $ff

	
;;;
;;; pseudo-registers
;;;
	
REGPC	DS.L	1			; User program counter
REGSR	DS.L	1			; User condition codes
REGS	DS.L	8			; D0-7 registers
	DS.L	7			; A0-6 registers
REGA7	DS.L	1			; A7 register
REGUS	DS.L	1			; User stack


;;;
;;; Monitor working storage (cleared at init time)
;;;

BEGHRAM		DS	0
	
OFFSET		DS.L	8		; R@ offsets
MEMSIZE		DS.L	1		; memory size in bytes
BPADD		DS.L	8		; breakpoints addresses
BPTILL		DS.L	1		; temporary breakpoint
BPCNT		DS.L	9		; breakpoints counts
BPDATA		DS.L	9		; hold user words replaced by trap
BERRD		DS.L	2		; special data for bus and addr error
SAVEAV4		DS.L	1		; user's av4 vector (used by BP)
TEMP		DS.L	1		; used by SAVEREGS macro
TRACECNT	DS.L	1		; trace counter (-1 = trace once)
TRACEON		DS.W	1		; flag for trace on
BPSTATUS	DS.W	1		; 1=PB in, 0=out of memory
TTIME		DS.L	1		; time/date temp variable
UART_TIMEOUT	DS.W	1		; timeout value for uart getc/putc

		DS	0
;;; Target supervisor stack
		DS.L	20
SSA7		DS.L	1

;;; I/O buffer
BUFFER		DS.B	BUFFSIZE
DUMPTEMP	DS.B	80		; header temp buffer
SCREEN1		DS.L	1		; print this before trace display
SCREEN2		DS.L	1		; print this after trace display

;;; not used by PIC UART.
INFROM		DS.L	1
OUTTO		DS.L	1
ECHOPT1		DS.L	1
INPORT1		DS.L	1

;;; used by TRAP14
CTLINK		DS.L	1

;;; used by zmodem
Z_HEADER_DATA	DS.L	1
Z_GOOD_OFFSET	DS.L	1
Z_FILESIZE	DS.L	1
Z_HEADER_TYPE	DS.W	1

;;; used by flash routine
;;; (The assembler doesn't allow forward references, so this is manually counted)
RAM_FLASH_START		DS.W	0
RAM_FLASH_PROGRAM_BYTE	DS.W	15
RAM_FLASH_ERASE_SECTOR	DS.W	24
RAM_FLASH_POLL		DS.W	9

	
ENDHRAM	DS.W	0


;;;
;;; System stack
;;;
		DS.W	0		; force word boundary
		DS.B	300		; room for stack
SYSTACK		DS.W	1		; start of stack (address decreases)
		DS.L	1		; streched stack (used by SAVE routine)
		DS.B	120		; extended area (for disassembler)

