;;;-------------------------------------------------------------------------
;;; File DC        DC (Data Conversion) Command                     12/10/81
;;;-------------------------------------------------------------------------	

;;;
;;;
;;;  ***DC***  NUMBER CONVERSIONS
;;;
DCCMD    DS      0              	; -DATA CONVERT COMMAND-
NUMCON0  LEA     SYNTAX(PC),A0  	; IF NO PARAMETERS
         BSR     FNEXTF         	; POINT TO NEXT PARAMETER
         BSR     GETA           	; EVALUATE EXPRESSION

         BSR     FIXBUF         	; SET UP FOR PRINT
         MOVE.L  D0,D7          	; D7=VALUE
         TST.L   D7             	; SEE IF NEGATIVE
         BPL.S   NUMCON1
         MOVE.B  #'$',(A6)+
         MOVE.L  D7,D0          	; MOVE NEGATIVE RESULT TO D0
         BSR     PNT8HX
         MOVE.B  #'=',(A6)+
NUMCON1  MOVE.L  D7,D0          	; RESTORE
         BPL.S   NUMCON2
         NEG.L   D0
         BMI.S   NUMCON2        	; SPECIAL CASE (-0)
         MOVE.B  #'-',(A6)+
NUMCON2  MOVE.B  #'$',(A6)+
         BSR     PNTZHX
         MOVE.B  #'=',(A6)+     	; NOW PRINT DECIMAL VALUE
         MOVE.L  D7,D0
         BPL.S   NUMCON3
         NEG.L   D0
         BMI.S   NUMCON3        	; SPECIAL CASE (-0)
         MOVE.B  #'-',(A6)+
NUMCON3  MOVE.B  #'&',(A6)+
         BSR     HEX2DEC        	; PUT VALUE IN BUFFER
         BRA     MSG            	; GO PRINT IT


