;;;-------------------------------------------------------------------------
;;; File MS        Memory set command                               11/02/8
;;;-------------------------------------------------------------------------

;;;    ***MS***   MEMORY SET
;;;     FORMAT: MS  ADDRESS HEX HEX,HEX,'ASCII'  ETC.
;;;     COMMAS OR SPACES BETWEEN FIELDS
;;;     FIELDS ARE SIZE ADJUSTED (STORES UP TO 4 BYTES)
;;;     ASCII ENCLOSED IN SINGLE QUOTES-ANY LENGTH

MSCMD    LEA     SYNTAX(PC),A0  	; IF NO PARAMETERS
         BSR     FNEXTF         	; FIND NEXT FIELD
         BSR     GETA           	; GET ADDRESS
         BSR     CKADDR         	; CHECK VALID ADDRESS

         MOVE.L  D0,A1          	; A1=START (OPEN) ADDRESS
SETM1    LEA     MACSBUG(PC),A0 	; IF NO PARAMTER
         BSR     FNEXTF         	; FIND NEXT FIELD
         MOVE.L  A5,A4          	; SAVE ADDRESS OF PARAMTER
         MOVE.B  (A5),D0        	; CHECK OUT NEXT CHARACTER
         CMPI.B  #$27,D0        	; SEE IF IT IS QUOTE MARK
         BEQ.S   SETM5          	; SPECIAL ROUTINE
         CMPI.B  #'N',D0        	; SEE IF NEXT LINE FEATURE
         BEQ.S   SETM7
         BSR     GETNUMA        	; GET THE DATA
         MOVE.L  A1,A3          	; ADDRESS
         MOVE.L  A5,D1          	; COMPUTE BYTES OF DATA
         SUB.L   A4,D1          	; LEN=END-START
         ASR.L   #1,D1          	; BYTES=CHAR/2
         BCC.S   SETM3          	; TAKE CARE OF ODD CHARACTER
         ADDQ.L  #1,D1          	; WHOLE NUMBER OF BYTES
SETM3    MOVE.L  D1,D2          	; D1 SCANS DOWN
         SUBQ.L  #1,D2          	; KNOCK IT DOWN TO INDEX
         MOVE.B  D0,0(A3,D2)    	; INDEXED BECAUSE BACKWARD

         MOVE.B  0(A3,D2),D3    	; REREAD TO CHECK IF STORED OK

         CMP.B   D0,D3          	; ARE SAME?
         BNE.S   SETME          	; 'DATA DID NOT STORE'

         ASR.L   #8,D0          	; SHIFT ONE BYTE
         ADDQ.L  #1,A1          	; BUMP ADDRESS
         SUBQ.L  #1,D1
         BNE     SETM3
         BRA.S   SETM1          	; GO DO NEXT DATA

;;;  DATA IN IN ASCII STRING
SETM5    ADDQ.L  #1,A5          	; GET PAST QUOTE MARK
SETM6    CMP.L   A6,A5          	; SEE IF END OF BUFFER
         BGE     MACSBUG
         MOVE.B  (A5)+,D0       	; GRAB CHARACTER
         CMPI.B  #$27,D0        	; SEE IF QUOTE MARK
         BEQ.S   SETM1          	; IF SO-END OF STRING
         MOVE.B  D0,(A1)        	; SAVE DATA

         MOVE.B  (A1)+,D1       	; REREAD FOR CHECK

         CMP.B   D1,D0          	; SEE IF SAME
         BEQ     SETM6
SETME    LEA     MSG017(PC),A5  	; 'DATA DID NOT STORE'
         BSR     FIXDCRLF
         BRA     MSG

SETM7    BSR     FIXBUF         	; DISPLAY CURRENT ADDRESS
         MOVE.L  A1,D0
         BSR     PNT8HX         	; PUT ADDRESS IN BUFFER
         MOVE.L  #'  ? ',(A6)+  	; PROMPT
         BSR     OUTPUT         	; DUMP BUFFER WITH NO LF CR
         BSR     FIXBUF         	; GET READY FOR INPUT
         MOVE.B  #BLANK,(A5)+   	; ADVANCE IN BUFFER
         MOVE.L  A5,A6          	; BECAUSE OF SNAFU IN FINDNP
         BSR     PORTIN1        	; INPUT FROM CONSOLE
         MOVE.B  -(A5),D0       	; JUST BACK UP IN BUFFER
         CMP.L   A6,A5
         BEQ     MACSBUG
         BRA     SETM1          	; DO DECODE IT

MSG017   DC.B    'DATA DID NOT STORE',CR,LF,EOT


         DC.B    0              PAD BYTE
