;;;*************************************************************
;;;* Reprogram some VECTORS to specific ERROR handler routines *
;;;*************************************************************

INITVMSG LEA     VECT(PC),A0    	; A0 = START OF VECTOR TABLE
         LEA     AV4,A1         	; A1 = FIRST VECTOR TO INITIALIZE
         MOVEQ   #10,D0         	; D0 = COUNT
VECTI    MOVE.L  A0,(A1)+       	; MOVE ADDRESS TO VECTOR
         ADD.L   D0,A0          	; BUMP ADDRESS
         CMPA.L  #AV11+4,A1
         BNE     VECTI

         LEA     AV24,A1        	; A1 = NEXT VECTOR TO INITIALIZE
VECTI2   MOVE.L  A0,(A1)+       	; MOVE ADDRESS TO VECTOR
         ADD.L   D0,A0          	; BUMP ADDRESS
         CMPA.L  #AV48,A1
         BNE     VECTI2
         RTS


;;;*************************************************************************
;;;* STANDARD VECTOR "MESSAGE" HANDLING ROUTINE ($30 IS TEMP STORAGE AREA) *
;;;*************************************************************************

VECT     MOVE.L  #'OPCO',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT5
         MOVE.L  #'DIV0',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT5
         MOVE.L  #'CHCK',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT5
         MOVE.L  #'TP V',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT5
         MOVE.L  #'PRIV',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT5
         MOVE.L  #'TRAC',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT5
         MOVE.L  #'1010',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT5
         MOVE.L  #'1111',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT5
         MOVE.L  #'SPUR',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

EVECT5   BRA.S   EVECT6
         MOVE.L  #'AV#1',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT6
         MOVE.L  #'AV#2',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT6
         MOVE.L  #'AV#3',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT6
         MOVE.L  #'AV#4',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT6
         MOVE.L  #'AV#5',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT6
         MOVE.L  #'AV#6',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT6
         MOVE.L  #'AV#7',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

EVECT6   BRA.S   EVECT7
         MOVE.L  #'UT 0',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT7
         MOVE.L  #'UT 1',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT7
         MOVE.L  #'UT 2',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT7
         MOVE.L  #'UT 3',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT7
         MOVE.L  #'UT 4',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT7
         MOVE.L  #'UT 5',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT7
         MOVE.L  #'UT 6',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT7
         MOVE.L  #'UT 7',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

EVECT7   BRA.S   EVECT
         MOVE.L  #'UT 8',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT
         MOVE.L  #'UT 9',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT
         MOVE.L  #'UT A',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT
         MOVE.L  #'UT B',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT
         MOVE.L  #'UT C',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT
         MOVE.L  #'UT D',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BRA.S   EVECT
         MOVE.L  #'UT E',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT

         BSR.S   EVECT
         MOVE.L  #'UT F',$30    ; MOVE TO $30, USE SHORT BRANCHES AND PRINT IT


;;;
;;;    SAVE REGISTERS AND PRINT VECTOR MSG
;;;
EVECT    BRA     EVECTL
